Subject: [bug#29409] [PATCH 3/4] build: vm: Adapt qemu command to ARM.

From: Mathieu Othacehe <[email-masked]>
Date: Mon, 11 Dec 2017 18:41:32 +0100

> Do we really need this new parameter and could we use the
> ‘target-arm32?’ procedure that you added directly?

The problem is "target-arm32" is defined in (guix utils) which is not
included at build time. Because it is supposed to be superseded by
"let-system" in a near future, I tought it would be better than moving
"target-arm32" in (guix build utils), am I right ?

> Could you add a short comment explaining this?

Sure.

> For clarity, it might be best to collect all the platform-specific
> options separately, like:
>
>   (define arch-specific-flags
>     `(,@(if target-arm32? '("-M" "virt") '())
>       ,@(if (and (file-exists? "/dev/kvm") …) …)
>       …))
>
> WDYT?

Seems better, I'll propose an updated patch.

Thanks,

Mathieu